Subject: Re: bug#15009: cl-lib symbols in lisp-font-lock-keywords

From: Stefan Monnier <[email-masked]>
Date: Fri, 02 Aug 2013 15:23:15 -0400

>> BTW, ideally, these keyword faces would be added by dynamically
>> collecting the set of known macros, rather than by a hardcoded list.
> Why? It is a restricted and well-defined set, unlikely to change.
> Adding them dynamically adds unnecessary complexity IMO.

In order to highlight the name of things defined with cl-defun and
friends, I agree.  But the part that highlights `cl-destructuring-bind'
in font-lock-keyword-face should do it based on the fact that
cl-destructuring-bind is a macro, not via some hard-coded list.

        Stefan